package emps.v1_nieobiektowo;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

import javax.swing.JOptionPane;

/* Zadanie: program pyta o nazwę stanowiska i oblicza średnią pensję pracowników z tego stanowiska. */
public class SredniaJedenJob {

    public static void main(String[] args) {
        String szukanyJob = JOptionPane.showInputDialog("Podaj nazwę stanowiska", "Programmer");
        
        try(Scanner scanner = new Scanner(new File("pliki/emps.csv"))) {
            scanner.nextLine();
            
            double suma = 0;
            int ile = 0;
            while(scanner.hasNextLine()) {
                String linia = scanner.nextLine();
                String[] t = linia.split(";");
                if(t[3].equals(szukanyJob)) {
                    suma += Integer.parseInt(t[4]);
                    ile++;
                }
            }
            
            double srednia = suma / ile;
            JOptionPane.showMessageDialog(null, "Średnia pensja: " + srednia);
        } catch(FileNotFoundException e) {
            e.printStackTrace();
        }
    }

}
